> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update channel



## OpenAPI

````yaml patch /channels/{channel_id}
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels/{channel_id}:
    parameters:
      - $ref: '#/components/parameters/channel_id'
    patch:
      tags:
        - Channels
      summary: Update channel
      operationId: Channels.updateChannel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateChannelRequest'
      responses:
        '200':
          description: Updated channel
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channel'
components:
  parameters:
    channel_id:
      name: channel_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    UpdateChannelRequest:
      type: object
      properties:
        name:
          type: string
          description: Channel name. Names longer than 50 characters are truncated.
          minLength: 1
          maxLength: 50
        description:
          type: string
          maxLength: 600
          nullable: true
    Channel:
      type: object
      required:
        - object
        - id
        - type
        - name
        - description
        - teamspace_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - channel
        id:
          type: string
        type:
          type: string
          enum:
            - channel
        name:
          type: string
        description:
          type: string
          nullable: true
        teamspace_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````